#!/usr/bin/perl
use Net::SMTP;

#### Variables here ################
my $host = 'zenoss-server.fqdn.com';       # Zenoss Server IP or resolvable name
my $to = 'zenoss@zenmail.test';            # This can be anything, zenmail drops it
my $from = 'user@target-device';           # 'target-device' will have an event created
my $subject = 'Test zenmail event';        # This sets the event Summary
my $msgbody = 'Sample event from zenmail'; # This sets the event Message
my $timezone = 'CDT';                      # Timezone
################################

my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime(time);
$year += 1900;
my @wDays = qw(Sun Mon Tue Wed Thu Fri Sat);
my @month_abbr = qw( Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec );
my $date = "$wDays[$wday] $month_abbr[$mon] $mday $hour:$min:$sec $timezone $year";


my $smtp = Net::SMTP->new($host, Port => 25); # Change 'Port' from 25 if needed
if (!$smtp) {die "Connection to SMTP server failed\n";}

$smtp->mail($from);
$smtp->to($to);
$smtp->data;
$smtp->datasend("To: $to\n");
$smtp->datasend("From: $from\n");
$smtp->datasend("Date: $date\n");
$smtp->datasend("Subject: $subject\n");
$smtp->datasend("\n");
$smtp->datasend("$msgbody\n");
$smtp->dataend;
$smtp->quit(); 
